%define upstream_name    Text-Greeking
%define upstream_version 0.15

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    A module for generating meaningless text
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Text/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Greeking is the use of random letters or marks to show the overall
appearance of a printed page without showing the actual text. Greeking is
used to make it easy to judge the overall appearance of a document without
being distracted by the meaning of the text.

This is a module is for quickly generating varying meaningless text from
any source to create this illusion of the content in systems.

This module was created to quickly give developers simulated content to
fill systems with simulated content. Instead of static Lorem Ipsum text, by
using randomly generated text and optionally varying word sources,
repetitive and monotonous patterns that do not represent real system usage
is avoided.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Mon Mar 21 2022 umeabot <umeabot> 0.150.0-2.mga9
+ Revision: 1814238
- Mageia 9 Mass Rebuild

* Fri Mar 19 2021 tv <tv> 0.150.0-1.mga9
+ Revision: 1704818
- update to 0.15

* Wed Feb 12 2020 umeabot <umeabot> 0.140.0-5.mga8
+ Revision: 1497661
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.140.0-4.mga7
+ Revision: 1272040
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.140.0-3.mga6
+ Revision: 1034920
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.140.0-2.mga6
+ Revision: 965625
- Mageia 6 Mass Rebuild

* Sat Jun 20 2015 sander85 <sander85> 0.140.0-1.mga6
+ Revision: 836434
- update to 0.14

* Wed Oct 15 2014 umeabot <umeabot> 0.120.0-5.mga5
+ Revision: 743616
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.120.0-4.mga5
+ Revision: 686625
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.120.0-3.mga4
+ Revision: 515501
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.120.0-2.mga3
+ Revision: 374082
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 18 2011 jquelin <jquelin> 0.120.0-1.mga1
+ Revision: 22940
- cleaning spec file
- imported package perl-Text-Greeking


* Thu May 06 2010 Michael Scherer <misc@mandriva.org> 0.120.0-1mdv2010.1
+ Revision: 542841
- import perl-Text-Greeking


* Thu May 06 2010 cpan2dist 0.12-1mdv
- initial mdv release, generated with cpan2dist
